﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="EditAnnouncements.ascx.vb"
    Inherits="DotNetNuke.Modules.Announcements.EditAnnouncements" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Tracking" Src="~/controls/URLTrackingControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="URL" Src="~/controls/URLControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls" TagPrefix="dnn" %>
<asp:Panel ID="pnlEdit" runat="server">
<table cellspacing="0" cellpadding="0" width="600" summary="Edit Announcements Design Table">
    <tr valign="top">
        <td class="SubHead" style="width: 150px">
            <dnn:Label ID="plTitle" runat="server" ControlName="txtTitle" Suffix=":"></dnn:Label>
        </td>
        <td style="width: 450px">
            <asp:TextBox ID="txtTitle" runat="server" MaxLength="100" Columns="30" Width="400px"
                CssClass="NormalTextBox"></asp:TextBox>
            <asp:RequiredFieldValidator ID="valTitle" resourcekey="Title.ErrorMessage" runat="server"
                CssClass="NormalRed" ControlToValidate="txtTitle" ErrorMessage="You Must Enter A Title For The Announcement"
                Display="Dynamic"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="plImage" runat="server" ControlName="urlImage" Suffix=":"></dnn:Label>
        </td>
        <td>
            <dnn:URL ID="urlImage" runat="server" Width="300" Required="False" ShowTabs="False"
                ShowFiles="True" ShowUrls="True" ShowLog="False" ShowNone="true" ShowNewWindow="False"
                ShowTrack="False" />
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" colspan="2" style="width: 600px">
            <dnn:Label ID="plDescription" runat="server" ControlName="teDescription" Suffix=":">
            </dnn:Label>
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="width: 600px" colspan="2">
            <dnn:TextEditor ID="teDescription" runat="server" Width="550" Height="300"></dnn:TextEditor>
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" colspan="2" style="width: 600px">
            <dnn:Label ID="plSummary" runat="server" ControlName="teSummary" Suffix=":">
            </dnn:Label>
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="width: 600px" colspan="2">
            <dnn:TextEditor ID="teSummary" runat="server" Width="550" Height="300"></dnn:TextEditor>
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="width: 150px">
            <dnn:Label ID="plURL" runat="server" ControlName="ctlURL" Suffix=":"></dnn:Label>
        </td>
        <td style="width: 450px">
            <dnn:URL ID="ctlURL" runat="server" Width="225" ShowNone="true" />
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="width: 150px">
            <dnn:Label ID="plPublishDate" Suffix=":" ControlName="txtPublishDate" runat="server">
            </dnn:Label>
        </td>
        <td style="width: 450px">
            <asp:TextBox ID="txtPublishDate" runat="server" CssClass="NormalTextBox" Width="72px"></asp:TextBox>&nbsp;
            <asp:HyperLink ID="cmdCalendar" resourcekey="Calendar" CssClass="CommandButton" runat="server">Calendar</asp:HyperLink><br />
            <asp:DropDownList ID="ddlHoursPublish" runat="server">
            </asp:DropDownList>
            &nbsp
            <asp:DropDownList ID="ddlMinutesPublish" runat="server">
            </asp:DropDownList>
            <asp:PlaceHolder ID="phAmPmPublish" runat="server">&nbsp<asp:DropDownList ID="ddlAmPmPublish"
                runat="server">
            </asp:DropDownList>
            </asp:PlaceHolder>
            <asp:CompareValidator ID="valPublishDate" resourcekey="PublishDate.ErrorMessage"
                runat="server" CssClass="NormalRed" ControlToValidate="txtPublishDate" ErrorMessage="<br>You have entered an invalid date!"
                Display="Dynamic" Type="Date" Operator="DataTypeCheck"></asp:CompareValidator>
            <asp:RequiredFieldValidator ID="valPublishDateRequired" runat="server" Display="Dynamic"
                ErrorMessage="You must enter a date" ControlToValidate="txtPublishDate" CssClass="NormalRed"
                resourcekey="PublishDateRequired.ErrorMessage"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>
            </br>
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="width: 150px">
            <dnn:Label ID="plExpireDate" Suffix=":" ControlName="txtPublishDate" runat="server">
            </dnn:Label>
        </td>
        <td style="width: 450px">
            <asp:TextBox ID="txtExpireDate" runat="server" CssClass="NormalTextBox" Width="72px"></asp:TextBox>&nbsp;
            <asp:HyperLink ID="cmdCalendar2" CssClass="CommandButton" resourcekey="Calendar"
                runat="server">Calendar</asp:HyperLink><br />
            <asp:DropDownList ID="ddlHoursExpire" runat="server">
            </asp:DropDownList>
            &nbsp
            <asp:DropDownList ID="ddlMinutesExpire" runat="server">
            </asp:DropDownList>
            <asp:PlaceHolder ID="phAmPmExpire" runat="server">&nbsp<asp:DropDownList ID="ddlAmPmExpire"
                runat="server">
            </asp:DropDownList>
            </asp:PlaceHolder>
            <asp:CompareValidator ID="valExpireDate" runat="server" Display="Dynamic" ErrorMessage="<br>You have entered an invalid date!"
                ControlToValidate="txtExpireDate" CssClass="NormalRed" resourcekey="PublishDate.ErrorMessage"
                Operator="DataTypeCheck" Type="Date"></asp:CompareValidator>
        </td>
    </tr>
    <tr>
        <td>
            </br>
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="width: 150px">
            <dnn:Label ID="plViewOrder" runat="server" ControlName="txtViewOrder" Suffix=":">
            </dnn:Label>
        </td>
        <td style="width: 450px">
            <asp:TextBox ID="txtViewOrder" runat="server" MaxLength="3" Columns="20" Width="72px"
                CssClass="NormalTextBox"></asp:TextBox>
            <asp:CompareValidator ID="valViewOrder" resourcekey="ViewOrder.ErrorMessage" runat="server"
                CssClass="NormalRed" ControlToValidate="txtViewOrder" ErrorMessage="<br>View order must be an integer value."
                Display="Dynamic" Type="Integer" Operator="DataTypeCheck"></asp:CompareValidator>
        </td>
    </tr>
    <tr id="rowPublish" runat="server">
        <td class="SubHead" width="150" valign="top"><dnn:label id="plPublish" runat="server" controlname="chkPublish" text="Publish" suffix="?"/></td>
        <td width="400" valign="top"><asp:checkbox id="chkPublish" runat="server" class="CommandButton" /></td>
    </tr>
</table>
<p>
    <dnn:CommandButton ID="cmdUpdate" runat="server" ResourceKey="cmdUpdate" Text="Update"
        ImageUrl="~/images/save.gif" />
    &nbsp;
    <dnn:CommandButton ID="cmdCancel" runat="server" ResourceKey="cmdCancel" Text="Cancel"
        ImageUrl="~/images/lt.gif" CausesValidation="False" />
    &nbsp;
    <dnn:CommandButton ID="cmdDelete" runat="server" ResourceKey="cmdDelete" Text="Delete"
        ImageUrl="~/images/delete.gif" />
</p>
<dnn:Audit ID="ctlAudit" runat="server" />
<br />
<br />
<dnn:Tracking ID="ctlTracking" runat="server" />
</asp:Panel>

<dnn:sectionhead id="dshReview" cssclass="Head" runat="server" text="Review Content" section="divReview" resourcekey="dshReview" includerule="True" isexpanded="True" />
<div id="divReview" runat="server">

    <table width="550" cellspacing="2" cellpadding="2" summary="Review HTML Design Table" border="0">
        <tr>
            <td class="SubHead" width="150" valign="top"><dnn:label id="plComment" runat="server" controlname="txtComment" text="Comment" suffix=":"></dnn:label></td>
            <td valign="top"><asp:textbox id="txtComment" runat="server" cssclass="NormalTextBox" style="width:400px" textmode="multiline" rows="5"></asp:textbox></td>
        </tr>
    </table>
    <p>
        <dnn:commandbutton id="cmdReview" runat="server" class="CommandButton" imageurl="~/images/save.gif" />&nbsp;
        <dnn:commandbutton id="cmdCancel2" runat="server" class="CommandButton" resourcekey="cmdCancel" imageurl="~/images/lt.gif" causesvalidation="False"/>&nbsp;
    </p>

</div>
<dnn:sectionhead id="dshVersions" cssclass="Head" runat="server" text="Version History" section="tblVersions" resourcekey="dshVersions" includerule="True" isexpanded="False" />
<table id="tblVersions" width="550" cellspacing="2" cellpadding="2" summary="History Design Table" border="0" runat="server">
    <tr valign="bottom">
        <td>
            <asp:DataGrid ID="grdVersions" runat="server" Width="100%" AutoGenerateColumns="false" CellPadding="2" GridLines="None" cssclass="DataGrid_Container">
	            <headerstyle cssclass="DataGrid_Header" verticalalign="Top" horizontalalign="Center"/>
	            <itemstyle CssClass="DataGrid_Item" horizontalalign="Center" />
	            <alternatingitemstyle cssclass="DataGrid_AlternatingItem" />
	            <Columns>
		            <dnn:imagecommandcolumn CommandName="Item" ImageUrl="~/images/view.gif" KeyField="ItemID" Text="Preview" />
		            <dnn:imagecommandcolumn CommandName="Edit" ImageUrl="~/images/restore.gif" KeyField="ItemID" Text="Rollback" />
		            <asp:BoundColumn HeaderText="Version" DataField="Version" ItemStyle-CssClass="Normal" HeaderStyle-Cssclass="NormalBold" />
		            <asp:BoundColumn HeaderText="Date" DataField="LastModifiedOnDate" ItemStyle-CssClass="Normal" HeaderStyle-Cssclass="NormalBold" />
		            <asp:BoundColumn HeaderText="User" DataField="DisplayName" ItemStyle-CssClass="Normal" HeaderStyle-Cssclass="NormalBold" />
		            <asp:BoundColumn HeaderText="State" DataField="StateName" ItemStyle-CssClass="Normal" HeaderStyle-Cssclass="NormalBold" />
	            </Columns>
            </asp:DataGrid>
        </td>
    </tr>
</table>
<dnn:sectionhead id="dshHistory" cssclass="Head" runat="server" text="Item History" section="tblHistory" resourcekey="dshHistory" includerule="True" isexpanded="False" />
<table id="tblHistory" width="550" cellspacing="2" cellpadding="2" summary="History Design Table" border="0" runat="server">
    <tr valign="bottom">
        <td>
            <table cellspacing="2" width="550" cellpadding="2" summary="History Design Table" border="0" width="100%">
                <tr>
                    <td class="SubHead" width="150" valign="top"><dnn:label id="plVersion" runat="server" controlname="lblVersion" text="Version" suffix=":"></dnn:label></td>
                    <td valign="top"><asp:label id="lblVersion" runat="server" cssclass="Normal" /></td>
                </tr>
                <tr>
                    <td class="SubHead" width="150" valign="top"><dnn:label id="plWorkflow" runat="server" controlname="lblWorkflow" text="Workflow" suffix=":"></dnn:label></td>
                    <td valign="top"><asp:label id="lblWorkflow" runat="server" cssclass="Normal" /></td>
                </tr>
                <tr>
                    <td class="SubHead" width="150" valign="top"><dnn:label id="plState" runat="server" controlname="lblState" text="Current State" suffix=":"></dnn:label></td>
                    <td valign="top"><asp:label id="lblState" runat="server" cssclass="Normal" /></td>
                </tr>
            </table>
            <br/>
            <asp:DataGrid ID="grdLog" runat="server" Width="100%" AutoGenerateColumns="false" CellPadding="2" GridLines="None" cssclass="DataGrid_Container">
	            <headerstyle cssclass="DataGrid_Header" verticalalign="Top" horizontalalign="Center"/>
	            <itemstyle CssClass="DataGrid_Item" horizontalalign="Center" />
	            <alternatingitemstyle cssclass="DataGrid_AlternatingItem" />
	            <Columns>
		            <asp:BoundColumn HeaderText="Date" DataField="CreatedOnDate" ItemStyle-CssClass="Normal" HeaderStyle-Cssclass="NormalBold" />
		            <asp:BoundColumn HeaderText="User" DataField="DisplayName" ItemStyle-CssClass="Normal" HeaderStyle-Cssclass="NormalBold" />
		            <asp:BoundColumn HeaderText="State" DataField="StateName" ItemStyle-CssClass="Normal" HeaderStyle-Cssclass="NormalBold" />
		            <asp:BoundColumn HeaderText="Approved" DataField="Approved" ItemStyle-CssClass="Normal" HeaderStyle-Cssclass="NormalBold" />
		            <asp:BoundColumn HeaderText="" DataField="Comment" ItemStyle-CssClass="Normal" HeaderStyle-Cssclass="NormalBold" />
	            </Columns>
            </asp:datagrid>
        </td>
    </tr>
</table>
<dnn:sectionhead id="dshPreview" cssclass="Head" runat="server" text="Preview Content" section="tblPreview" resourcekey="dshPreview" includerule="True" isexpanded="False" />
<table id="tblPreview" cellspacing="2" cellpadding="2" summary="Preview Design Table" border="0" runat="server">
    <tr>
        <td colspan="2"><asp:label id="lblPreview" runat="server"/></td>
    </tr>
</table>